'CSC 230 Class Example 

'This program allows the user to select the forecolor and backcolor of a 
'message from a list of named colors found in a combobox. 
'It does not allow the user to choose the same backcolor and forecolor

Public Class FrmColorStuff

    '*********************************************************************************
    'when user chooses a new backcolor from combobox
    Private Sub cboBackColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBackColor.SelectedIndexChanged

        'ask if proposed backcolor (from combobox) is different from existing forecolor
        If lblMessage.ForeColor.Name <> cboBackColor.Text Then
            'proposed color OK, make change
            lblMessage.BackColor = Color.FromName(cboBackColor.Text)
        Else
            'proposed color not OK, don't change color, put existing color back into combobox 
            MsgBox("You cannot choose the forecolor and backcolor to be the same.")
            cboBackColor.Text = lblMessage.BackColor.Name
        End If
    End Sub

    '*********************************************************************************
    'when user chooses a new fore color from combobox
    Private Sub cboForeColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboForeColor.SelectedIndexChanged
        If lblMessage.BackColor.Name <> cboForeColor.Text Then
            lblMessage.ForeColor = Color.FromName(cboForeColor.Text)
        Else
            MsgBox("You cannot choose the forecolor and backcolor to be the same.")
            cboForeColor.Text = lblMessage.ForeColor.Name
        End If
    End Sub
End Class
